diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/probe.cc ns-3.43/src/stats/model/probe.cc
--- ns-3.42/src/stats/model/probe.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/probe.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/probe.h ns-3.43/src/stats/model/probe.h
--- ns-3.42/src/stats/model/probe.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/probe.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/sqlite-data-output.cc ns-3.43/src/stats/model/sqlite-data-output.cc
--- ns-3.42/src/stats/model/sqlite-data-output.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/sqlite-data-output.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/sqlite-data-output.h ns-3.43/src/stats/model/sqlite-data-output.h
--- ns-3.42/src/stats/model/sqlite-data-output.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/sqlite-data-output.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/sqlite-output.cc ns-3.43/src/stats/model/sqlite-output.cc
--- ns-3.42/src/stats/model/sqlite-output.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/sqlite-output.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "sqlite-output.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/sqlite-output.h ns-3.43/src/stats/model/sqlite-output.h
--- ns-3.42/src/stats/model/sqlite-output.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/sqlite-output.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Natale Patriciello <natale.patriciello@gmail.com>
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #ifndef SQLITE_OUTPUT_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/stats.h ns-3.43/src/stats/model/stats.h
--- ns-3.42/src/stats/model/stats.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/stats.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/time-data-calculators.cc ns-3.43/src/stats/model/time-data-calculators.cc
--- ns-3.42/src/stats/model/time-data-calculators.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/time-data-calculators.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/time-data-calculators.h ns-3.43/src/stats/model/time-data-calculators.h
--- ns-3.42/src/stats/model/time-data-calculators.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/time-data-calculators.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/time-probe.cc ns-3.43/src/stats/model/time-probe.cc
--- ns-3.42/src/stats/model/time-probe.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/time-probe.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/time-probe.h ns-3.43/src/stats/model/time-probe.h
--- ns-3.42/src/stats/model/time-probe.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/time-probe.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/time-series-adaptor.cc ns-3.43/src/stats/model/time-series-adaptor.cc
--- ns-3.42/src/stats/model/time-series-adaptor.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/time-series-adaptor.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/time-series-adaptor.h ns-3.43/src/stats/model/time-series-adaptor.h
--- ns-3.42/src/stats/model/time-series-adaptor.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/time-series-adaptor.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/uinteger-16-probe.cc ns-3.43/src/stats/model/uinteger-16-probe.cc
--- ns-3.42/src/stats/model/uinteger-16-probe.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/uinteger-16-probe.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/uinteger-16-probe.h ns-3.43/src/stats/model/uinteger-16-probe.h
--- ns-3.42/src/stats/model/uinteger-16-probe.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/uinteger-16-probe.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/uinteger-32-probe.cc ns-3.43/src/stats/model/uinteger-32-probe.cc
--- ns-3.42/src/stats/model/uinteger-32-probe.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/uinteger-32-probe.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/uinteger-32-probe.h ns-3.43/src/stats/model/uinteger-32-probe.h
--- ns-3.42/src/stats/model/uinteger-32-probe.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/uinteger-32-probe.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/uinteger-8-probe.cc ns-3.43/src/stats/model/uinteger-8-probe.cc
--- ns-3.42/src/stats/model/uinteger-8-probe.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/uinteger-8-probe.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/uinteger-8-probe.h ns-3.43/src/stats/model/uinteger-8-probe.h
--- ns-3.42/src/stats/model/uinteger-8-probe.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/uinteger-8-probe.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/test/average-test-suite.cc ns-3.43/src/stats/test/average-test-suite.cc
--- ns-3.42/src/stats/test/average-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/test/average-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/test/basic-data-calculators-test-suite.cc ns-3.43/src/stats/test/basic-data-calculators-test-suite.cc
--- ns-3.42/src/stats/test/basic-data-calculators-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/test/basic-data-calculators-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/test/histogram-test-suite.cc ns-3.43/src/stats/test/histogram-test-suite.cc
--- ns-3.42/src/stats/test/histogram-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/test/histogram-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Pedro Fortuna  <pedro.fortuna@inescporto.pt> <pedro.fortuna@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/examples/tap-csma.cc ns-3.43/src/tap-bridge/examples/tap-csma.cc
--- ns-3.42/src/tap-bridge/examples/tap-csma.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/examples/tap-csma.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/examples/tap-csma-virtual-machine.cc ns-3.43/src/tap-bridge/examples/tap-csma-virtual-machine.cc
--- ns-3.42/src/tap-bridge/examples/tap-csma-virtual-machine.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/examples/tap-csma-virtual-machine.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/examples/tap-csma-virtual-machine.py ns-3.43/src/tap-bridge/examples/tap-csma-virtual-machine.py
--- ns-3.42/src/tap-bridge/examples/tap-csma-virtual-machine.py	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/examples/tap-csma-virtual-machine.py	2024-10-09 16:41:10.096656600 -0700
@@ -2,18 +2,7 @@
 #
 # Copyright 2010 University of Washington
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 
 import sys
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/examples/tap-wifi-dumbbell.cc ns-3.43/src/tap-bridge/examples/tap-wifi-dumbbell.cc
--- ns-3.42/src/tap-bridge/examples/tap-wifi-dumbbell.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/examples/tap-wifi-dumbbell.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Network topology
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/examples/tap-wifi-virtual-machine.cc ns-3.43/src/tap-bridge/examples/tap-wifi-virtual-machine.cc
--- ns-3.42/src/tap-bridge/examples/tap-wifi-virtual-machine.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/examples/tap-wifi-virtual-machine.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/examples/tap-wifi-virtual-machine.py ns-3.43/src/tap-bridge/examples/tap-wifi-virtual-machine.py
--- ns-3.42/src/tap-bridge/examples/tap-wifi-virtual-machine.py	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/examples/tap-wifi-virtual-machine.py	2024-10-09 16:41:10.096656600 -0700
@@ -2,18 +2,7 @@
 #
 # Copyright 2010 University of Washington
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 
 import sys
